工业

常见问题 - 常见问题解答和申请笔记

我们记录了最常见问题的答案,使您能够轻松、快速地直接找到答案。

可以通用

错误-603是一个特定于canusb的错误。在CANL2.h Layer2头文件中,第130行将其定义为FRW_ERROR_COMMUNICATIONBROKEN。此错误表明USB通信失败。请检查你的USB线。这是一个常见的问题,USB电缆很长。USB集线器的使用也可以帮助解决这个问题。

就在这里。标准C API和.NET API都可以使用CAN版本5.0及更高版本可用。新的通道句柄使得在单个应用程序中非常容易使用多个电路板。API支持所有Softing CAN接口板和EDICCARD2。

CanaAnalyzer的版本冲突可以从5.2版中驱动程序。我在哪里可以找到CanaAnalyzer的Canagard2的最新驱动程序?

这个错误信息可以忽略,因为CANalyzer V 5.2在解释驱动版本时没有区分CANcard2和CANcardX。

无论此消息如何,都已为Cancard2安装了正确的驱动程序。

信号 描述
1 预订的
2 can_l: CAN_L公交线路主导低
3. can_gnd. 罐头
4. 预订的
5. (CAN_SHLD) 可选:可以屏蔽
6. GND. 可选:地面
7. CAN_H. CAN_H总线主导高
8. 预订的
9. (CAN_V +) 可选:可以外部供应

默认情况下,可以使用124欧姆电阻终止A可以高速网络。
对于电缆长度在300米 - 600米之间,建议使用150欧姆。
当线缆长度为600m ~ 1000m时,建议使用300 ω。

错误代码:E00000007 - ERR:要读取的注册表值无效。

解决方法:

执行以下步骤需要具有管理员权限。

- 请关闭Softing Can Interface Manager(SCIM)。

—打开注册表编辑器(regedit),导航到密钥(32位操作系统):
HKEY_LOCAL_MACHINE \ Software \ Softing \ CAN \ Devices

删除关键设备下的所有条目和子订单。

如果使用64位操作系统,您将在下面找到这些注册表项:
HKEY_LOCAL_MACHINE \ SOFTWARE \ WOW6432NODE \ SOFTING \ CAN \ Devices

- 然后打开scim。注册表项再次创建。

如果你有一个旧版本的SCIM(小于V2.67)在你的电脑上,那么可能有必要删除文件"C: WINDOWS\system32\CANcpl。产线手工”。之后,卸载CAN驱动程序,并从我们的网站上安装最新版本的驱动程序。

可以如下所述创建CAN驱动程序设置的跟踪文件:

  • 首先,请确定您的%temp%目录。要在DOS框中输入它:
    cd %临时%
    注意,这个目录默认情况下是不可见的。
  • 请正常启动CANSetup.exe,并等待第一个安装对话框(欢迎对话框)出现。
  • 之后,在64位系统上的“SOSetup32.exe”(或“SOSetup64.exe”)中将位于%TEMP%目录中。将其复制到其他目录中。C:\ temp
  • 然后退出CANSetup.exe
  • 在具有参数的DOS框中启动复制的文件
    SoSetup32.exe / V / l * V log.txt”
  • 将在调用安装程序的目录中创建跟踪文件(log.txt)。

如果您在CanPro USB上有USB 3.0问题,则具有小于1.05的引导块版本,则在接口卡上处理启动块更新。

只有当不能正确识别CANpro USB(出现在“未知设备”下面)并且使用USB 3.0插槽时,才应该使用引导块更新。如果接口的引导块已经是1.05,那么引导块更新是无用的,不应该被处理。

请在任何PC检查CanPro USB的启动块版本,其中Canpro USB正确识别。可以在SCIM中看到启动块版本。

启动块更新工具可以从
bootblockudate工具

请在任何标准PC上开始,没有问题识别Canpro USB的原始启动块。
请在我们的下载中心安装最新的CAN驱动程序(V5.21)。
安装程序可能会要求您卸载早期版本的设置。请使用Windows的程序和功能控制面板手动操作,然后安装新设置。
现在将Canpro USB设备连接到本机。它应该被识别出来。
在此阶段,您可以使用启动块更新工具。这将使连接的Canpro USB带到引导块的最新版本1.05。
请在您的情况下安装新的可以设置目标电脑。
现在更新的Canpro USB应该正常工作。

CAN Layer 2 API

新的SOFTING CANPRO USB被设计为直接替代,即现在停产的绒布。最新的驱动程序向后兼容较旧的CAN界面卡和驱动程序版本,以确保CanProusb适用于旧的软件应用程序。

您可以下载最新的驱动程序文件这里

安装新驱动程序时,请确保“CAN API V4”的“包装器”复选框。在安装驱动程序后以及Windows即插即用后,大多数应用程序将正常工作,并播放新的Canpro USB。

在某些情况下,可能需要在应用程序目录中使用当前驱动程序的相应DLL文件替换应用程序目录中的旧DLL文件。有问题的DLL文件是:

  • canl2.dll.
  • canusb.dll.
  • canusbm.dll.


如果您的应用程序软件使用和分发这些DLL文件的旧版本,则需要更新它们。DLL文件是驱动程序安装的一部分,用于向较旧版本4 API向后兼容。它们通常安装在以下目录中:

C:\ Program Files(x86)\ softing \ can \ can days2 v5.17 \ can_v4.0x_wrapper \ canusb \ win32

请将DLL文件从这个目录复制到应用程序软件的目录中,替换旧的文件。

X

Softing Industrial.

总部

+49 89 456 56-340


回调服务

美国,加拿大和墨西哥

+1 865 251-5252


回调服务


«